org.apache.cassandra.serializers

## Class MarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.serializers.MarshalException

All Implemented Interfaces:
  java.io.Serializable

    public class MarshalException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MarshalException(java.lang.String message)`
`MarshalException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarshalException

    public MarshalException(java.lang.String message)

#### MarshalException

    public MarshalException(java.lang.String message,
                            java.lang.Throwable cause)